## autopkgtest 0.5.3

=== Makefile ===
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

prefix =	/usr/local
share =		$(prefix)/share
bindir =	$(prefix)/bin
mandir =	$(share)/man
man1dir =	$(mandir)/man1
docdir =	$(share)/doc/autopkgtest

INSTALL =		install
INSTALL_DIRS =		$(INSTALL) -d
INSTALL_PROGRAM =	$(INSTALL) -m 0755
INSTALL_DOC =		$(INSTALL)

programs =	virt-chroot/adt-virt-chroot \
		runner/adt-run

install:
	$(INSTALL_DIRS) -d $(bindir) $(docdir) $(man1dir)
	set -e; for f in $(programs); do \
		$(INSTALL_PROGRAM) $$f $(bindir); \
		test ! -f $$f.1 || $(INSTALL_DOC) $$f.1 $(man1dir); \
		done
	$(INSTALL_DOC) CREDITS debian/changelog $(docdir)

=== debian/changelog ===
autopkgtest (0.5.3) unstable; urgency=low

  * Rename package autodebtest => autopkgtest.
  * Remove a leftover debugging print from adt-virt-chroot.

 -- Ian Jackson <iwj@ubuntu.com>  Tue,  7 Feb 2006 18:02:08 +0000

autodebtest (0.5.2) dapper; urgency=low

  * New --output-dir option to adt-run.
  * Bugfixes (including new mandatory cwd argument to `execute'
    virt server command).

 -- Ian Jackson <iwj@ubuntu.com>  Thu,  2 Feb 2006 19:44:18 +0000

autodebtest (0.5.1) dapper; urgency=low

  * Manpages and minor fixes.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 24 Jan 2006 18:37:46 +0000

autodebtest (0.5.0) unstable; urgency=low

  * Initial release of (still largely proof-of-concept) automatic binary
    package testing framework.

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 20 Jan 2006 17:56:55 +0000

=== debian/control ===
Source: autopkgtest
Maintainer: Ian Jackson <iwj@ubuntu.com>
Section: devel
Priority: optional
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.0.2)

Package: autopkgtest
Architecture: all
Depends: python2.4
Conflicts: autodebtest (<< 0.5.3)
Replaces: autodebtest (<< 0.5.3)
Description: automatic as-installed testing for Debian packages
 autopkgtest runs tests on binary packages.  The tests are run on the
 package as installed on a testbed system (which may be found via a
 virtualisation or containment system).  The tests are expected to be
 supplied in the corresponding Debian source package.  See adt-run(1)
 and /usr/share/doc/autopkgtest.
 .
 Status: this release is still pretty much a proof of concept.

=== debian/rules ===
#!/usr/bin/make -f
#
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

p=autopkgtest

build build-arch build-indep:
binary-arch:

binary binary-indep: checkdir
	dh_testroot
	dh_clean
	dh_installdirs usr

	$(MAKE) install prefix=debian/$p/usr

	cat CREDITS debian/copyright.suffix \
		>debian/$p/usr/share/doc/$p/copyright
	dh_compress
	dh_link
	dh_md5sums
	dh_fixperms
	dh_gencontrol
	dh_builddeb

clean: checkdir
	dh_testroot
	dh_clean

checkdir:
	dh_testdir runner/adt-run

## autopkgtest 0.6.1

=== Makefile ===
--- 
+++ 
@@ -20,25 +20,24 @@
 # See the file CREDITS for a full list of credits information (often
 # installed as /usr/share/doc/autopkgtest/CREDITS).
 
-prefix =	/usr/local
-share =		$(prefix)/share
-bindir =	$(prefix)/bin
-mandir =	$(share)/man
-man1dir =	$(mandir)/man1
-docdir =	$(share)/doc/autopkgtest
-
-INSTALL =		install
-INSTALL_DIRS =		$(INSTALL) -d
-INSTALL_PROGRAM =	$(INSTALL) -m 0755
-INSTALL_DOC =		$(INSTALL)
+include settings.make
 
 programs =	virt-chroot/adt-virt-chroot \
 		runner/adt-run
 
-install:
+all:
+	cd xen && $(MAKE)
+
+install-here:
 	$(INSTALL_DIRS) -d $(bindir) $(docdir) $(man1dir)
 	set -e; for f in $(programs); do \
 		$(INSTALL_PROGRAM) $$f $(bindir); \
 		test ! -f $$f.1 || $(INSTALL_DOC) $$f.1 $(man1dir); \
 		done
 	$(INSTALL_DOC) CREDITS debian/changelog $(docdir)
+
+install: install-here
+	cd xen && $(MAKE) install
+
+clean:
+	cd xen && $(MAKE) clean

=== xen/Makefile ===
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

include ../settings.make

programs =	cleanup setup on-testbed with-testbed
shareprograms =	fixups fixups-inside
sharefiles =	readconfig justconfig

exec_prefix =	adt-xenlvm-

all:		readconfig

install:	all
	$(INSTALL_DIRS) $(bindir) $(docdir) $(man1dir) $(etcconfdir) \
		$(sharedir) $(etcinitddir) $(xenscripts)
	set -e; for f in $(programs) $(shareprograms); do \
		$(INSTALL_PROGRAM) $$f $(sharedir); \
		done
	set -e; for f in $(programs); do \
		ln -sf $(sharedir_lnfrom)/$$f $(bindir)/$(exec_prefix)$$f; \
		test ! -f $$f.1 || $(INSTALL_DOC) $$f.1 \
			$(man1dir)/$(exec_prefix)$$f; \
		done
	set -e; for f in $(sharefiles); do \
		$(INSTALL_DATA) $$f $(sharedir); \
		done
	$(INSTALL_DATA) initscript $(etcinitddir)/adtxenlvm$(cfg_suffix)
	$(INSTALL_DATA) vif-route-adt $(xenscripts)/vif-route-adt$(cfg_suffix)
	$(INSTALL_DOC) README example-config $(docdir)

readconfig:	sed-readconfig readconfig.in
	sed -f $^ >$@.new && mv -f $@.new $@

sed-readconfig:	README Makefile
	echo '/@@varlist@@/{h' >$@.new
	sed -n 's,^adt_\([_0-9a-z]*\)[ 	].*,s/\\*/\1/p;g,p' <$< >>$@.new
	echo 'd}' >>$@.new && mv -f $@.new $@

clean:
	rm -f readconfig *~

=== debian/changelog ===
autopkgtest (0.6.1) edgy; urgency=low

  * autopkgtest-xenlvm: filter output from debootstrap to make
    the amount of output more reasonable.  set -o pipefail.
    Create a timestamp file on image creation.  Warn if ipv4
    forwarding is turned off.
  * Add missing file `xen/justconfig' to bzr.
  * Fix typo in usage message in adt-virt-chroot.

 -- Ian Jackson <iwj@ubuntu.com>  Wed, 11 Oct 2006 15:42:18 +0100

autopkgtest (0.6.0) edgy; urgency=low

  * autopkgtest-xenlvm: new package with Xen/LVM management
    scripts productised.  Not yet glued into autopkgtest proper.

 -- Ian Jackson <iwj@ubuntu.com>  Fri,  6 Oct 2006 20:45:41 +0100

autopkgtest (0.5.3) dapper; urgency=low

  * Rename package autodebtest => autopkgtest.
  * Remove a leftover debugging print from adt-virt-chroot.

 -- Ian Jackson <iwj@ubuntu.com>  Tue,  7 Feb 2006 18:02:08 +0000

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,24 @@
 Depends: python2.4
 Conflicts: autodebtest (<< 0.5.3)
 Replaces: autodebtest (<< 0.5.3)
+Suggests: autopkgtest-xenlvm
 Description: automatic as-installed testing for Debian packages
  autopkgtest runs tests on binary packages.  The tests are run on the
  package as installed on a testbed system (which may be found via a
  virtualisation or containment system).  The tests are expected to be
  supplied in the corresponding Debian source package.  See adt-run(1)
  and /usr/share/doc/autopkgtest.
+
+Package: autopkgtest-xenlvm
+Architecture: all
+Depends: pbuilder, libadns1-bin, chiark-utils-bin, iproute
+Suggests: autopkgtest
+Description: Xen/LVM2 based testbed snapshot system
+ Machinery for setting up a Xen domain which can be resumed over and
+ over again, discarding changes made each time.  This can be useful
+ for automated testing and other advanced techniques; autopkgtest is
+ able to make use of this machinery for its virtualisation needs.
  .
- Status: this release is still pretty much a proof of concept.
+ You will need a working Xen setup to make use of this software.  Your
+ network administrator will need to provide support for the testbeds'
+ networking requirements.  See the README for documentation.

=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,16 @@
 # See the file CREDITS for a full list of credits information (often
 # installed as /usr/share/doc/autopkgtest/CREDITS).
 
+SHELL=/bin/bash
+
 p=autopkgtest
+x=xenlvm
+topdir=`pwd`
 
-build build-arch build-indep:
+build build-indep:
+	$(MAKE)
+
+build-arch:
 binary-arch:
 
 binary binary-indep: checkdir
@@ -32,19 +39,29 @@
 	dh_clean
 	dh_installdirs usr
 
-	$(MAKE) install prefix=debian/$p/usr
+	$(MAKE) install-here prefix=debian/$p/usr
+	$(MAKE) -C xen install \
+		pkgname=$p-$x \
+		prefix=$(topdir)/debian/$p-$x/usr \
+		sharedir_lnfrom=/usr/share/$p/$x \
+		sharedir=$(topdir)/debian/$p-$x/usr/share/$p/$x \
+		etcdir=$(topdir)/debian/$p-$x/etc cfg_suffix=''
 
 	cat CREDITS debian/copyright.suffix \
 		>debian/$p/usr/share/doc/$p/copyright
+	dh_installinit -p $p-$x --onlyscripts --name=adt$x -- defaults 19
 	dh_compress
 	dh_link
 	dh_md5sums
 	dh_fixperms
 	dh_gencontrol
+	dh_installdeb
+	dh_installchangelogs
 	dh_builddeb
 
 clean: checkdir
 	dh_testroot
+	$(MAKE) clean
 	dh_clean
 
 checkdir:

## autopkgtest 0.8.1

=== xen/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 include ../settings.make
 
-programs =	cleanup setup on-testbed with-testbed
+programs =	cleanup setup on-testbed with-testbed purge
 shareprograms =	fixups fixups-inside
 sharefiles =	readconfig justconfig
 
@@ -45,7 +45,8 @@
 		$(INSTALL_DATA) $$f $(sharedir); \
 		done
 	$(INSTALL_DATA) initscript $(etcinitddir)/adtxenlvm$(cfg_suffix)
-	$(INSTALL_DATA) vif-route-adt $(xenscripts)/vif-route-adt$(cfg_suffix)
+	$(INSTALL_PROGRAM) vif-route-adt \
+		$(xenscripts)/vif-route-adt$(cfg_suffix)
 	$(INSTALL_DOC) README example-config $(docdir)
 
 readconfig:	sed-readconfig readconfig.in

=== debian/changelog ===
autopkgtest (0.8.1) feisty; urgency=low

  * Call dmsetup remove repeatedly instead of messing with udevsettle.
    udevsettle doesn't always help with the dmsetup remove race.

 -- Ian Jackson <iwj@ubuntu.com>  Wed,  4 Apr 2007 18:04:38 +0100

autopkgtest (0.8.0) feisty; urgency=low

  * adt-run: new --instantiate option to allow package installation to be
    forced for testing.  (This is not an ideal approach - it's not very
    flexible - but works well enough for the current requirements.)
  * adt-testreport-onepackage: new ability to test binary as well as
    source packages, using new --instantiate option.
  * new `timeout=' option on `execute' virt server command.
  * set some default timeouts (these should be settable with options,
    really).
  * Default kernel image guesser is more sophisticated - now we look
    for something that looks like a Xen kernel rather than guessing
    from the filename since the filenames seem unstable.
  * Default setting for adt_fw_allowglobalports is none.
  * Set DEBIAN_FRONTEND=noninteractive.
  * Run udevsettle after xm destroy but before dmsetup remove.
  * Run sendmail -odi not -odq in adt-testreport-onepackage.
  * Longer timeouts by default.
  * Print `adt-run: trace' for trace output.
  * Show all apt stdout (including dpkg stdout) in contemporaneous trace.
  
 -- Ian Jackson <iwj@ubuntu.com>  Tue,  3 Apr 2007 20:08:13 +0100

autopkgtest (0.7.2) feisty; urgency=low

  * adt-testreport-onepackage: new management script, with some
    example config files onepackage-config and ubuntu-config.
  * Fixed quite a few bugs in adt-run.
  * Made adt_distro xenlvm config var settable.
  * Fixed various packaging problems.

 -- Ian Jackson <iwj@ubuntu.com>  Thu,  8 Mar 2007 14:54:33 +0000

autopkgtest (0.7.1) feisty; urgency=low

  * Actually ship README.* files.
  * Manpage for adt-virt-xenlvm.
  * New adt-virt-null.

 -- Ian Jackson <iwj@ubuntu.com>  Mon, 26 Feb 2007 16:34:41 +0000

autopkgtest (0.7.0) feisty; urgency=low

  * Many new features, including:
    - Xen virtualisation service works
    - Can build packages as necessary
    - Many bugfixes.
    - Documentation (moved from the wiki).

 -- Ian Jackson <iwj@ubuntu.com>  Thu, 22 Feb 2007 20:10:30 +0000

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,10 @@
  autopkgtest runs tests on binary packages.  The tests are run on the
  package as installed on a testbed system (which may be found via a
  virtualisation or containment system).  The tests are expected to be
- supplied in the corresponding Debian source package.  See adt-run(1)
- and /usr/share/doc/autopkgtest.
+ supplied in the corresponding Debian source package.
+ .
+ See adt-run(1) and /usr/share/doc/autopkgtest.
+ Use of adt-virt-xenlvm requires the autopkgtest-xenlvm package too.
 
 Package: autopkgtest-xenlvm
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -47,16 +47,18 @@
 		sharedir=$(topdir)/debian/$p-$x/usr/share/$p/$x \
 		etcdir=$(topdir)/debian/$p-$x/etc cfg_suffix=''
 
-	cat CREDITS debian/copyright.suffix \
-		>debian/$p/usr/share/doc/$p/copyright
+	set -e; for f in $p $p-$x; do \
+		cat CREDITS debian/copyright.suffix \
+			>debian/$$f/usr/share/doc/$$f/copyright; \
+		done
 	dh_installinit -p $p-$x --onlyscripts --name=adt$x -- defaults 19
+	dh_installchangelogs
 	dh_compress
 	dh_link
 	dh_md5sums
+	dh_gencontrol
 	dh_fixperms
-	dh_gencontrol
 	dh_installdeb
-	dh_installchangelogs
 	dh_builddeb
 
 clean: checkdir

## autopkgtest 1.0.8

=== Makefile ===
--- 
+++ 
@@ -22,19 +22,31 @@
 
 include settings.make
 
-programs =	virt-chroot/adt-virt-chroot \
-		runner/adt-run
+programs =	virt-subproc/adt-virt-chroot \
+		virt-subproc/adt-virt-xenlvm \
+		virt-subproc/adt-virt-null \
+		runner/adt-run \
+		runner/adt-testreport-onepackage
+
+examples =	runner/onepackage-config \
+		runner/ubuntu-config
+
+pythonfiles =	virt-subproc/VirtSubproc.py
 
 all:
 	cd xen && $(MAKE)
 
 install-here:
-	$(INSTALL_DIRS) -d $(bindir) $(docdir) $(man1dir)
+	$(INSTALL_DIRS) -d $(bindir) $(docdir) $(man1dir) \
+		$(pythondir) $(examplesdir)
 	set -e; for f in $(programs); do \
 		$(INSTALL_PROGRAM) $$f $(bindir); \
 		test ! -f $$f.1 || $(INSTALL_DOC) $$f.1 $(man1dir); \
 		done
+	$(INSTALL_DATA) $(pythonfiles) $(pythondir)
 	$(INSTALL_DOC) CREDITS debian/changelog $(docdir)
+	$(INSTALL_DOC) doc/README*[!~] $(docdir)
+	$(INSTALL_DOC) $(examples) $(examplesdir)
 
 install: install-here
 	cd xen && $(MAKE) install

=== xen/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 include ../settings.make
 
 programs =	cleanup setup on-testbed with-testbed purge
-shareprograms =	fixups fixups-inside
+shareprograms =	fixups fixups-inside userv-target
 sharefiles =	readconfig justconfig
 
 exec_prefix =	adt-xenlvm-
@@ -32,7 +32,7 @@
 
 install:	all
 	$(INSTALL_DIRS) $(bindir) $(docdir) $(man1dir) $(etcconfdir) \
-		$(sharedir) $(etcinitddir) $(xenscripts)
+		$(sharedir) $(etcinitddir) $(xenscripts) $(uservsvcdir)
 	set -e; for f in $(programs) $(shareprograms); do \
 		$(INSTALL_PROGRAM) $$f $(sharedir); \
 		done
@@ -44,10 +44,12 @@
 	set -e; for f in $(sharefiles); do \
 		$(INSTALL_DATA) $$f $(sharedir); \
 		done
+	$(INSTALL_DATA) userv-fragment \
+		$(uservsvcdir)/adt-xenlvm-testbed:dist
 	$(INSTALL_DATA) initscript $(etcinitddir)/adtxenlvm$(cfg_suffix)
 	$(INSTALL_PROGRAM) vif-route-adt \
 		$(xenscripts)/vif-route-adt$(cfg_suffix)
-	$(INSTALL_DOC) README example-config $(docdir)
+	$(INSTALL_DOC) README README.userv example-config $(docdir)
 
 readconfig:	sed-readconfig readconfig.in
 	sed -f $^ >$@.new && mv -f $@.new $@

=== debian/changelog ===
autopkgtest (1.0.8) unstable; urgency=low

  * adt-run: pass -o Debug::pkgProblemResolver=true to apt & gdebi;
    this improves dependency problem reporting.  (LP: #135581.)
  * adt-testreport-onepackage: seddery the log to remove ctrl chars.
    In particular, this gets rid of ^M's from apt which get corrupted
    by email transport and thus break the email signatures.
  * hosts/chinstrap/update-suppressions: pass -S to curl.
  * hosts/{chinstrap,cadmium}/install-on-*: use --ubuntu branch.

 -- Ian Jackson <iwj@ubuntu.com>  Wed, 19 Sep 2007 15:44:33 +0100

autopkgtest (1.0.7) gutsy; urgency=low

  * Build properly with debian/copyright.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 28 Aug 2007 18:16:35 +0100

autopkgtest (1.0.6) unstable; urgency=low

  * Better changelog for 1.0.4.
  * .bzrignore debian/copyright.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 28 Aug 2007 18:08:46 +0100

autopkgtest (1.0.5) gutsy; urgency=low

  * Generate debian/copyright file in source package.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 28 Aug 2007 18:01:16 +0100

autopkgtest (1.0.4) gutsy; urgency=low

  * adt-testreport-onepackage:
    - Handling of source packages' Architecture: field corrected
      so package selection works properly.
    - Use ln -f when installing summary.
    - Capability to suppress emails similar to ones already sent.
    - Launchpad bug filing including PGP-signing, `affects' line, etc.
    - Capability to suppress email for packages listed in a
      suppression file.
    - Better formatting and explanations in some emails.

  * adt-run:
    - Options for setting timeouts.
    - Increase default timeouts 100s, 3ks, 10ks, 100ks.
  
  * hosts/chinstrap/*:
     Screen-scrape Launchpad to get existing bugs and generate a suitable
     suppression file so we file a bug iff there isn't one already. 
  
  * hosts/cadmium/*:
     New directory for convenience scripts etc on Canonical buildd.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 28 Aug 2007 17:42:13 +0100

autopkgtest (1.0.3) unstable; urgency=low

  * Set LANG to C by default for commands (eg builds and tests) run on
    testbed, and make this configurable.
  * Make builds work again: Fix `cd *' in work.write (broken by
    inclusion of `tmpdir' in that directory).
  * adt-testreport-onepackage has better reporting for DC-running.
  * Fix handling of non-.deb-producing source packages (eg, ones
    which produce only .udebs).

 -- Ian Jackson <iwj@ubuntu.com>  Mon, 16 Jul 2007 17:18:03 +0100

autopkgtest (1.0.2) unstable; urgency=low

  * xenlvm command-line settings properly override config file
    settings everywhere.
  * Default value for adt_distro computed in time to be used for
    default value for adt_play.
  * Close fd 4 for lvm tools too (suppresses daft `File descriptor
    left open' message).
  * Change default lvm lv sizes and make documentation correspond
    to reality.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Fri, 13 Jul 2007 15:31:58 +0100

autopkgtest (1.0.1) unstable; urgency=low

  * adt_debootstrap_opts mentioned in README and passable on
    command lines, instead of unused adt_pbuilder_args.
  * Dependency on pbuilder fixed; we use debootstrap, not pbuilder.

 -- Ian Jackson <iwj@ubuntu.com>  Thu, 12 Jul 2007 16:54:47 +0100

autopkgtest (1.0.0) gutsy; urgency=low

  * Locking: <play>.lock (unlinkable fcntl style) plus <play>/good
    sentinel file.  This will avoid conflicts between simultaneous calls
    to with-testbed and setup (and others).  The `with' mode of the userv
    target is enhanced so that the caller can take out the lock and hold
    it will starting and discarding the testbed more than once.

 -- Ian Jackson <iwj@ubuntu.com>  Thu, 12 Jul 2007 15:01:35 +0100

autopkgtest (0.9.2) unreleased; urgency=low

  * Really discard stderr from our ought-to-be-unnecessary
    modprobe dm-snapshot.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 12 Jul 2007 14:31:20 +0100

autopkgtest (0.9.1) gutsy; urgency=low

  * autopkgtest-xenlvm declares that it Depends on dmsetup.
  * Discard stderr from our ought-to-be-unnecessary modprobe dm-snapshot.
  * New `console' mode for userv service.
  * Move README.userv to autopkgtest-xenlvm package (and hence to
    /usr/share/doc/autopkgtest-xenlvm).
  * Do not mind if directory named by adt_modules doesn't exist - in
    that case just don't copy any modules.
  * Attempt to install libc6-xen in fixups-inside, rather than instructing
    debootstrap to install it.  This makes us not mind if it's missing.

 -- Ian Jackson <iwj@ubuntu.com>  Thu, 12 Jul 2007 09:50:13 +0100

autopkgtest (0.9.0) gutsy; urgency=low

  New features:
  * userv service for testbed invocation now provided and
    at least somewhat tested, and useable by adt-virt-xenlvm.
  * New print-execute-command command for virtualisation servers.
  * New adt_sshauthkeys_hook config variable.
  * pass count= to dd for erasure when lvm_erasebase=true.

  Bugfixes:
  * Fix filename pattern bug which can prevent automatic keypair
    generation (false claim that privkey and pubkey do not match).
  * Do not demand vg or distro information for initscript to work.
  * export adt_* variable settings resulting from command-line
    arguments so that subprocesses get them properly, and arrange
    for the `defaults for simple settings' not to override environment
    variables.
  * suppress various variable settings' default computations (and
    consequent failure if the default can't be established) when
    processing config for the initscript.  The initscript does not
    need per-testbed configuration options.
  * close fd 8 when running vgdisplay (which avoids an annoying and
    spurious warning from the lvm tools).

  Packaging:
  * autopkgtest-xenlvm now Recommends: lvm2 and debootstrap.
  * autopkgtest Suggests curl (adt-testreport-onepackage needs it).

  Portability:
  * Check for udev persistent-net-generator and if enabled we
    write a rune for eth0 for guest_macaddr into the RULES_FILE


=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: python2.4
 Conflicts: autodebtest (<< 0.5.3)
 Replaces: autodebtest (<< 0.5.3)
-Suggests: autopkgtest-xenlvm
+Suggests: autopkgtest-xenlvm, curl
 Description: automatic as-installed testing for Debian packages
  autopkgtest runs tests on binary packages.  The tests are run on the
  package as installed on a testbed system (which may be found via a
@@ -18,11 +18,13 @@
  supplied in the corresponding Debian source package.
  .
  See adt-run(1) and /usr/share/doc/autopkgtest.
- Use of adt-virt-xenlvm requires the autopkgtest-xenlvm package too.
+ Use of adt-virt-xenlvm requires the autopkgtest-xenlvm package too;
+ Use of the pre-cooked adt-testreport-onepackage script requires curl.
 
 Package: autopkgtest-xenlvm
 Architecture: all
-Depends: pbuilder, libadns1-bin, chiark-utils-bin, iproute
+Depends: debootstrap, libadns1-bin, chiark-utils-bin, iproute, dmsetup
+Recommends: lvm2, debootstrap
 Suggests: autopkgtest
 Description: Xen/LVM2 based testbed snapshot system
  Machinery for setting up a Xen domain which can be resumed over and

=== debian/rules ===
--- 
+++ 
@@ -28,11 +28,14 @@
 x=xenlvm
 topdir=`pwd`
 
-build build-indep:
+build build-indep: debian/copyright
 	$(MAKE)
 
 build-arch:
 binary-arch:
+
+debian/copyright: CREDITS debian/copyright.suffix
+	cat $^ >$@.new && mv -f $@.new $@
 
 binary binary-indep: checkdir
 	dh_testroot
@@ -46,10 +49,11 @@
 		sharedir_lnfrom=/usr/share/$p/$x \
 		sharedir=$(topdir)/debian/$p-$x/usr/share/$p/$x \
 		etcdir=$(topdir)/debian/$p-$x/etc cfg_suffix=''
+	cd debian/$p-$x/etc/userv/services.d && \
+		mv -f adt-xenlvm-testbed:dist adt-xenlvm-testbed
 
 	set -e; for f in $p $p-$x; do \
-		cat CREDITS debian/copyright.suffix \
-			>debian/$$f/usr/share/doc/$$f/copyright; \
+		cp debian/copyright debian/$$f/usr/share/doc/$$f/copyright; \
 		done
 	dh_installinit -p $p-$x --onlyscripts --name=adt$x -- defaults 19
 	dh_installchangelogs
@@ -61,7 +65,7 @@
 	dh_installdeb
 	dh_builddeb
 
-clean: checkdir
+clean: checkdir debian/copyright
 	dh_testroot
 	$(MAKE) clean
 	dh_clean

## autopkgtest 1.0.8+nmu1

=== debian/changelog ===
autopkgtest (1.0.8+nmu1) unstable; urgency=low

  * Non-maintainer upload
  * Doesn't depend on libadns1-bin, depends on adns-tools;
    closes: #490763

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 23 Jul 2008 21:56:23 +1000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 Package: autopkgtest-xenlvm
 Architecture: all
-Depends: debootstrap, libadns1-bin, chiark-utils-bin, iproute, dmsetup
+Depends: debootstrap, adns-tools, chiark-utils-bin, iproute, dmsetup
 Recommends: lvm2, debootstrap
 Suggests: autopkgtest
 Description: Xen/LVM2 based testbed snapshot system

## autopkgtest 1.2.0ubuntu1

=== debian/changelog ===
autopkgtest (1.2.0ubuntu1) jaunty; urgency=low

  * Bump python depends to Python 2.6 

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Mar 2009 17:20:04 -0400

autopkgtest (1.2.0) unstable; urgency=medium

  Packaging changes:
  * autopkgtest-xenlvm depends on adns-tools | libadns1-bin,
    as the latter is renamed to the former in lenny.  Closes:#490763.
  * .bzrignore improvements.
  * Maintainer is now Ian Jackson <ian@davenant.greenend.org.uk> -
    ie I am hijacking this package from my other hat, so to speak.

  adt-xenlvm changes:
  * support for swap, defaulting to 5G.
    This will break existing setups with insufficient LVM space.
  * allow specification of LVM PVs to use.
  * remove spurious mkdir of empty variable $snap.
  * with-testbed: sleep 1 after xm destroy, as the latter is racy.

  Configuration updates:
  * hosts/magrathea/*: configuration as for pre-deployment tests
  * adt-testreport-{cronjob,runloop}: new GO_ANYWAY arrangements
  * adt-testreport-onepackage: default is not to upload (publish) sources

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 27 Aug 2008 22:33:24 +0100

autopkgtest (1.1.1) unreleased; urgency=low

  * adt-xenlvm-setup: new hooks for xmdomain config file.
  * hosts/cadmium/update-suppression: really do not install empty file.
  * allow suppresspackages and blacklist lists to contain more
    information after some whitespace
  * adt-openbugs-*: new machinery for working with debbugs.
  * hosts/magrathea/*: work-in-progress configuration
  * Add Recommends against apt-utils.
  * hosts/cadmium/crontab: savelog -c7 not savelog -n7
  * hosts/{cadmium,chinstrap}/crontab: set MAILTO
  * adt-testreport-cronjob: make executable.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Fri, 26 Oct 2007 18:13:28 +0100

autopkgtest (1.1.0) unreleased; urgency=low

  * adt-testreport-runloop: manpage
  * adt-testreport-runloop: better command line parsing
  * adt-testreport-runloop: removed old lalonde junk
  * adt-testreport-runloop: replaced `..._ok' vars with sentinel files
  * hosts/chinstrap/update-suppressions: big comment
  * adt-testreport-runloop: renamed from hosts/cadmium/lalonde-nightly
  * hosts/cadmium/onepackage-config: set PATH (was in lalonde-nightly)
  * adt-testreport-onepackage: many manpage improvements
  * adt-testreport-runloop: add to Makefile
  * hosts/* installed as examples with a big fat warning.
  * adt-testreport-cronjob: renamed from hosts/cadmium/cronjob
  * adt-testreport-runloop: copyright message.
  * cfg and adt-testreport-runloop: do not cd in config files.
  * adt-testreport-runloop: fix handling of test_classes (was xoptslist)
  * hosts/cadmium/*, debian/rules: onepackage_config renamed to cfg.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 18 Oct 2007 17:17:31 +0100

autopkgtest (1.0.9) unstable; urgency=low

  * Separate email_sourcepackage_header and email_binarypackage_header
    to allow us to properly file bugs in LP against binary packages built
    from differently-named sources.
  * adt-testreport-onepackage: Dump a logfile giving the scores and facts
    used for package selection.
  * adt-testreport-onepackage: Do not prefer packages whose source package
    is listed in the suppressions file.
  * hosts/cadmium/manual-test-one-binary: new testing script.
  * hosts/cadmium/onepackage-config: explain about archive skew.
  * adt-testreport-onepackage: nicer score logging re skip chars.
  * adt-testreport-onepackage: skip emails if _source_ is suppresed.
  * adt-testreport-onepackage etc.: new blacklist feature, and initially
    blacklist ltsp-client{,-core}.
  * adt-testreport-onepackage: limit log to 64K (32K head, 32K tail)
    to avoid humungous bug reports which LP silently discards.
  * hosts/cadmium/lalonde-nightly: check for testbed sentinel file
    and stop if not present.

 -- Ian Jackson <iwj@ubuntu.com>  Thu, 18 Oct 2007 11:56:51 +0100

autopkgtest (1.0.8) gutsy; urgency=low

  * adt-run: pass -o Debug::pkgProblemResolver=true to apt & gdebi;
    this improves dependency problem reporting.  (LP: #135581.)
  * adt-testreport-onepackage: seddery the log to remove ctrl chars.
    In particular, this gets rid of ^M's from apt which get corrupted
    by email transport and thus break the email signatures.
  * hosts/chinstrap/update-suppressions: pass -S to curl.
  * hosts/{chinstrap,cadmium}/install-on-*: use --ubuntu branch.

 -- Ian Jackson <iwj@ubuntu.com>  Wed, 19 Sep 2007 15:44:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: autopkgtest
-Maintainer: Ian Jackson <iwj@ubuntu.com>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
 Section: devel
 Priority: optional
 Standards-Version: 3.6.2
@@ -7,9 +8,10 @@
 
 Package: autopkgtest
 Architecture: all
-Depends: python2.4
+Depends: python2.6
 Conflicts: autodebtest (<< 0.5.3)
 Replaces: autodebtest (<< 0.5.3)
+Recommends: apt-utils
 Suggests: autopkgtest-xenlvm, curl
 Description: automatic as-installed testing for Debian packages
  autopkgtest runs tests on binary packages.  The tests are run on the
@@ -18,12 +20,14 @@
  supplied in the corresponding Debian source package.
  .
  See adt-run(1) and /usr/share/doc/autopkgtest.
+ Most modes of use require apt-ftparchive from the apt-utils package.
  Use of adt-virt-xenlvm requires the autopkgtest-xenlvm package too;
  Use of the pre-cooked adt-testreport-onepackage script requires curl.
 
 Package: autopkgtest-xenlvm
 Architecture: all
-Depends: debootstrap, adns-tools, chiark-utils-bin, iproute, dmsetup
+Depends: debootstrap, adns-tools | libadns1-bin,
+         chiark-utils-bin, iproute, dmsetup
 Recommends: lvm2, debootstrap
 Suggests: autopkgtest
 Description: Xen/LVM2 based testbed snapshot system

## autopkgtest 1.2.0+nmu1

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,9 @@
 		virt-subproc/adt-virt-xenlvm \
 		virt-subproc/adt-virt-null \
 		runner/adt-run \
-		runner/adt-testreport-onepackage
+		runner/adt-testreport-onepackage \
+		runner/adt-testreport-runloop \
+		runner/adt-testreport-cronjob
 
 examples =	runner/onepackage-config \
 		runner/ubuntu-config

=== debian/changelog ===
autopkgtest (1.2.0+nmu1) unstable; urgency=low

  * Non-maintainer upload, to drop Python 2.4; thanks to Luca Falavigna for the
    report and to Jakub Wilk for the patch; Closes: #562408
    - debian/control
      + Depends on 'python (>= 2.4)'
    - runner/adt-run, virt-subproc/adt-virt-*
      + uses the default Python interpreter instead of hard-coding python2.4;
      also Closes: #548985

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jan 2010 00:52:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: autopkgtest
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
+Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
 Section: devel
 Priority: optional
 Standards-Version: 3.6.2
@@ -8,7 +7,7 @@
 
 Package: autopkgtest
 Architecture: all
-Depends: python2.6
+Depends: python (>= 2.4)
 Conflicts: autodebtest (<< 0.5.3)
 Replaces: autodebtest (<< 0.5.3)
 Recommends: apt-utils

=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,21 @@
 	cd debian/$p-$x/etc/userv/services.d && \
 		mv -f adt-xenlvm-testbed:dist adt-xenlvm-testbed
 
+	set -e;								\
+	  d=debian/autopkgtest/usr/share/doc/autopkgtest/examples/;	\
+	  mkdir -p -m755 $$d;						\
+	  cp --preserve=timestamps -dR hosts $$d;			\
+	  find $$d -name '*~' -o -name '#*#' -exec rm -- '{}' ';';	\
+	  for f in $$d/hosts/*; do					\
+	    cp debian/host-example-WARNING $$f/WARNING;			\
+	    cf=$$f/cfg;							\
+	    if test -f $$cf; then					\
+	      sed -e 's/^/# /' debian/host-example-WARNING >$$cf.new;	\
+	      echo >>$$cf.new;  cat $$cf >>$$cf.new;			\
+	      mv -f $$cf.new $$cf;					\
+	    fi;								\
+	  done
+
 	set -e; for f in $p $p-$x; do \
 		cp debian/copyright debian/$$f/usr/share/doc/$$f/copyright; \
 		done

## autopkgtest 2.0.0

=== debian/changelog ===
autopkgtest (2.0.0) unstable; urgency=medium

  * Incompatible test declaration spec changes:
     - no-build-needed is now the default; build-needed is a Restriction
       that tests which need it have to declare.
  * Incompatible virtualisation server spec changes:
     - print-execute-command replaced by print-{auxverb,shscript}-command.
     - "revert" capability split into "revert" and "revert-full-system"
  * New adt-virt-schroot for driving schroot.  Sorry, no manpage yet.
  * New README.schroot-setup.
  * Remove dependency on python in testbed.
  * Update python version to 2.6.
  * Spec wording improvements, clarifications, editorial changes, etc.
  * Many bugfixes, including:
    - replace Python string exceptions (closes:#585226).
    - fix some broken formatting in adt-run manpage (closes:#636034).
    - fix adt-virt-chroot for simple chroots (closes:#520066).

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 30 Jul 2011 17:57:27 +0100

autopkgtest (1.2.0~) unstable; urgency=low

  * adt-xenlvm-*: support for swap, defaulting to 5G.
    This will break existing setups with insufficient LVM space.
  * adt-xenlvm-*: allow specification of LVM PVs to use.
  * remove spurious mkdir of empty variable $snap.
  * hosts/magrathea/*: setup as working for initial tests.
  * adt-xenlvm-with-testbed: sleep 1 after xm destroy, which is racy.
  * Fix a few other bugs from deployment in 2008.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 27 Aug 2008 22:12:13 +0100

autopkgtest (1.1.1~) unstable; urgency=low

  * adt-xenlvm-setup: new hooks for xmdomain config file.
  * hosts/cadmium/update-suppression: really do not install empty file.
  * allow suppresspackages and blacklist lists to contain more
    information after some whitespace
  * adt-openbugs-*: new machinery for working with debbugs.
  * hosts/magrathea/*: work-in-progress configuration
  * Add Recommends against apt-utils.
  * hosts/cadmium/crontab: savelog -c7 not savelog -n7
  * hosts/{cadmium,chinstrap}/crontab: set MAILTO
  * adt-testreport-cronjob: make executable.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Fri, 26 Oct 2007 18:12:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: autopkgtest
-Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
+Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Section: devel
 Priority: optional
 Standards-Version: 3.6.2
@@ -7,7 +7,7 @@
 
 Package: autopkgtest
 Architecture: all
-Depends: python (>= 2.4)
+Depends: python2.6
 Conflicts: autodebtest (<< 0.5.3)
 Replaces: autodebtest (<< 0.5.3)
 Recommends: apt-utils
@@ -25,8 +25,7 @@
 
 Package: autopkgtest-xenlvm
 Architecture: all
-Depends: debootstrap, adns-tools | libadns1-bin,
-         chiark-utils-bin, iproute, dmsetup
+Depends: libadns1-bin, chiark-utils-bin, iproute, dmsetup
 Recommends: lvm2, debootstrap
 Suggests: autopkgtest
 Description: Xen/LVM2 based testbed snapshot system

## autopkgtest 2.0.1

=== debian/changelog ===
autopkgtest (2.0.1) unstable; urgency=medium

  * Bugfixes:
    - Python backtrace (no method "bomb") on bad tests/control syntax.
    - Permit tests/control fields with medial capital letters.
    - Do not duplicate previous stanzas (closes: #637333).
    - Make adt-run --quiet work (closes: #637350).
    - Make "build-needed" restriction work (closes: #637353).
    - Fix a debugging message which was spuriously sent to stderr.
  * Change Maintainer to the new list and move me to Uploaders.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 27 Aug 2011 11:21:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: autopkgtest
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
+Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Section: devel
 Priority: optional
 Standards-Version: 3.6.2

## autopkgtest 2.0.1ubuntu4

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 programs =	virt-subproc/adt-virt-chroot \
 		virt-subproc/adt-virt-xenlvm \
 		virt-subproc/adt-virt-null \
+		virt-subproc/adt-virt-schroot \
 		runner/adt-run \
 		runner/adt-testreport-onepackage \
 		runner/adt-testreport-runloop \
@@ -33,7 +34,8 @@
 examples =	runner/onepackage-config \
 		runner/ubuntu-config
 
-pythonfiles =	virt-subproc/VirtSubproc.py
+pythonfiles =	lib/Autopkgtest.py \
+		lib/VirtSubproc.py
 
 all:
 	cd xen && $(MAKE)
@@ -54,4 +56,5 @@
 	cd xen && $(MAKE) install
 
 clean:
+	rm -f */*.pyc
 	cd xen && $(MAKE) clean

=== debian/changelog ===
autopkgtest (2.0.1ubuntu4) precise; urgency=low

  * runner/adt-run: Avoids quoting of filenames when copyup/copydown is
    called. Fixes adt-run for packages like postgresql-common or aoeui.
    Thanks to Jean-Baptiste Lallement for the patch! (Debian #648161)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 Apr 2012 10:12:04 +0200

autopkgtest (2.0.1ubuntu3) precise; urgency=low

  * Fix parsing of '@' dependencies in multi-binary packages.  Forwarded to
    Debian #667022.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Apr 2012 14:04:39 +0100

autopkgtest (2.0.1ubuntu2) precise; urgency=low

  * Fix hashbang lines to use python instead of python2.6, and update
    debian/control to only depend on python (>= 2.6) instead of python2.6.
    See Debian #644332.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 11 Nov 2011 16:15:18 +0100

autopkgtest (2.0.1ubuntu1) precise; urgency=low

  * adt-run: Fix "NameError: global name 'f' is not defined" crash. Forwarded
    to Debian #647882.
  * adt-run: Clean up temporary apt configuration after running the tests.
    Forwarded to Debian #648142.
  * adt-run: Skip configuring and running apt when running as non-root.
    Forwarded to Debian #648148.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 09 Nov 2011 08:54:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: autopkgtest
-Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Section: devel
 Priority: optional
@@ -8,7 +9,7 @@
 
 Package: autopkgtest
 Architecture: all
-Depends: python2.6
+Depends: python (>= 2.6)
 Conflicts: autodebtest (<< 0.5.3)
 Replaces: autodebtest (<< 0.5.3)
 Recommends: apt-utils

=== debian/rules ===
--- 
+++ 
@@ -80,9 +80,10 @@
 	dh_installdeb
 	dh_builddeb
 
-clean: checkdir debian/copyright
+clean: checkdir
 	dh_testroot
 	$(MAKE) clean
+	rm -f debian/copyright
 	dh_clean
 
 checkdir:

## autopkgtest 2.2.3

=== xen/Makefile ===
--- 
+++ 
@@ -60,4 +60,4 @@
 	echo 'd}' >>$@.new && mv -f $@.new $@
 
 clean:
-	rm -f readconfig *~
+	rm -f readconfig sed-readconfig *~

=== debian/changelog ===
autopkgtest (2.2.3) unstable; urgency=medium

  [ Martin Pitt ]
  * Make `@' in tests' Depends work even if we're not building the
    source tree.  Closes: #678359.  This is an important bugfix.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 08 Jul 2012 23:15:42 +0100

autopkgtest (2.2.2) unstable; urgency=low

  [ Martin Pitt ]
  * Fix hashbang lines to use python instead of python2.6, and update
    debian/control to only depend on python (>= 2.6) instead of python2.6.
    Closes: #644332.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 28 Jun 2012 01:03:02 +0100

autopkgtest (2.2.1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * specification: document (XS-)Testsuite source header
    Closes: #679097
  * debian/control: add Vcs-* headers pointing to Alioth Git repository

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 27 Jun 2012 21:36:56 +0100

autopkgtest (2.2.0) unstable; urgency=low

  * Provide tests with ADTTMP rather than TMPDIR.

    Well, actually, that's just according to the spec.  In reality, for
    backward compatibity, we provide each test script with both (pointing
    to different directories so that tests don't need to worry about
    possible filename clashes between ADTTMP and TMPDIR).

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 15 Jun 2012 02:05:54 +0100

autopkgtest (2.1.0) unstable; urgency=low

  Bugfixes:
  * Remove our strange apt config on exit.
    Partial fix to #648142, from Timo Lindfors.
  * Suppress apt-listbugs and apt-listchanges.  Michael Prokop.
  * Fix parsing of "@" dependencies.  Colin Watson.  Closes: #667022.
  * Fix NameError re "f" in restriction parsing.
    Martin Pitt.  Closes: #647882.
  * Improve handling of schroot root-users and root-groups.
    Colin Watson.  Closes: #667001.
  * Correctly handle quoting of copyup/copydown filenames.  Fixes
    but where we couldn't cope with packages' filenames containing
    + and ~.  Report from Martin Pitt.  Closes: #648161.

  Documentation fixes:
  * Clarify the spec to say that copyup/down takes encoded filenames.
  * Fix the spec to refer to `breaks-testbed' rather than `breaks-computer'.
    Report from Jakub Wilk.  Closes: #669721.
  * Manpage should refer to `*' in tests file's Depends field, not `@'.
    Report from Jakub Wilk.  Closes: #670648.

  Packaging fixes:
  * Add Recommends against pbuilder, whose dependency resolver adt-run
    uses.
  * Remove runner/tmp on debian/rules clean, and add it to .gitignore,
    for convenience.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 11 Jun 2012 02:05:49 +0100

## autopkgtest 2.2.3ubuntu3

=== debian/changelog ===
autopkgtest (2.2.3ubuntu3) raring; urgency=low

  * Capitalize field names read from control file. (LP: #1096788)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>  Mon, 07 Jan 2013 10:52:00 +0100

autopkgtest (2.2.3ubuntu2) raring; urgency=low

  * Use debian.deb822 to parse control files. (LP: #1073856)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>  Wed, 12 Dec 2012 22:48:51 +0100

autopkgtest (2.2.3ubuntu1) raring; urgency=low

  * Fix adt-run's user option fails with permission denied. (LP: 1084116) (Closes: #686292)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 28 Nov 2012 15:18:29 +0000

## autopkgtest 2.2.3ubuntu4

=== debian/changelog ===
autopkgtest (2.2.3ubuntu4) raring; urgency=low

  * Implemented support for versioned dependencies in test control file.
    (LP: #1164362) Closes: #693540.

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>  Thu, 04 Apr 2013 12:14:34 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
 Priority: optional
 Standards-Version: 3.6.2
 Build-Depends: debhelper (>= 4.0.2)
+Vcs-Git: git://git.debian.org/git/autopkgtest/autopkgtest.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=autopkgtest/autopkgtest.git
 
 Package: autopkgtest
 Architecture: all
-Depends: python (>= 2.6)
+Depends: python (>= 2.6), debhelper, python-debian
 Conflicts: autodebtest (<< 0.5.3)
 Replaces: autodebtest (<< 0.5.3)
-Recommends: apt-utils
+Recommends: apt-utils, pbuilder
 Suggests: autopkgtest-xenlvm, curl
 Description: automatic as-installed testing for Debian packages
  autopkgtest runs tests on binary packages.  The tests are run on the

## autopkgtest 2.2.3+nmu1

=== debian/changelog ===
autopkgtest (2.2.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * adt-run: Catch EXDEV.  Closes: #696625.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Jan 2013 10:31:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: autopkgtest
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
+Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Section: devel
 Priority: optional
@@ -11,7 +10,7 @@
 
 Package: autopkgtest
 Architecture: all
-Depends: python (>= 2.6), debhelper, python-debian
+Depends: python (>= 2.6), debhelper
 Conflicts: autodebtest (<< 0.5.3)
 Replaces: autodebtest (<< 0.5.3)
 Recommends: apt-utils, pbuilder

=== debian/rules ===
--- 
+++ 
@@ -83,6 +83,7 @@
 clean: checkdir
 	dh_testroot
 	$(MAKE) clean
+	rm -rf runner/tmp
 	rm -f debian/copyright
 	dh_clean
